[-]
[+]
|
Changed |
proftpd.spec
|
|
[-]
[+]
|
Deleted |
mod_cap.dpatch
^
|
@@ -1,35 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## mod_cap.dpatch by Francesco Paolo Lovergine <frankie@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
-@DPATCH@
-diff -urNad trunk~/lib/libcap/Makefile trunk/lib/libcap/Makefile
---- trunk~/lib/libcap/Makefile 2008-05-07 11:36:04.000000000 +0200
-+++ trunk/lib/libcap/Makefile 2008-05-07 11:38:20.000000000 +0200
-@@ -23,7 +23,7 @@
- INCLS=libcap.h cap_names.h $(INCS)
- OBJS=$(addsuffix .o, $(FILES))
-
--all: $(LIBNAME)
-+all:
-
- _makenames: _makenames.c cap_names.sed
- $(CC) $(CFLAGS) $(LDFLAGS) $< -o $@
-diff -urNad trunk~/modules/mod_cap.c trunk/modules/mod_cap.c
---- trunk~/modules/mod_cap.c 2008-05-07 11:36:24.000000000 +0200
-+++ trunk/modules/mod_cap.c 2008-05-07 11:38:05.000000000 +0200
-@@ -42,10 +42,8 @@
- # define _LINUX_BYTEORDER_GENERIC_H
- # endif
-
--# ifdef HAVE_LINUX_CAPABILITY_H
--# include <linux/capability.h>
--# endif /* HAVE_LINUX_CAPABILITY_H */
--# include "../lib/libcap/include/sys/capability.h"
-+#include <linux/capability.h>
-+#include <sys/capability.h>
-
- /* What are these for? */
- # undef WNOHANG
|
[-]
[+]
|
Added |
mode_t.dpatch
^
|
@@ -0,0 +1,103 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## mode_t.dpatch by Francesco Paolo Lovergine <frankie@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad trunk~/acconfig.h trunk/acconfig.h
+--- trunk~/acconfig.h 2007-04-24 14:39:23.000000000 +0200
++++ trunk/acconfig.h 2007-10-15 22:49:32.000000000 +0200
+@@ -12,9 +12,6 @@
+ /* Define to `int' if <sys/types.h> doesn't define. */
+ #undef ino_t
+
+-/* Define to `mode_t' if <sys/types.h> doesn't define. */
+-#undef umode_t
+-
+ /* Define to `int' if <sys/socket.h> doesn't define. */
+ #undef socklen_t
+
+diff -urNad trunk~/config.h.in trunk/config.h.in
+--- trunk~/config.h.in 2007-10-09 23:45:04.000000000 +0200
++++ trunk/config.h.in 2007-10-15 22:50:25.000000000 +0200
+@@ -37,9 +37,6 @@
+ /* Define to `int' if <sys/socket.h> doesn't define. */
+ #undef socklen_t
+
+-/* Define to `mode_t' if <sys/types.h> doesn't define. */
+-#undef umode_t
+-
+ /* Define if you have AIX send_file() semantics. */
+ #undef HAVE_AIX_SENDFILE
+
+diff -urNad trunk~/configure trunk/configure
+--- trunk~/configure 2007-10-09 23:44:52.000000000 +0200
++++ trunk/configure 2007-10-15 22:55:26.000000000 +0200
+@@ -30631,9 +30631,9 @@
+
+
+
+-echo "$as_me:$LINENO: checking for umode_t" >&5
+-echo $ECHO_N "checking for umode_t... $ECHO_C" >&6
+-if test "${ac_cv_type_umode_t+set}" = set; then
++echo "$as_me:$LINENO: checking for mode_t" >&5
++echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
++if test "${ac_cv_type_mode_t+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ cat >conftest.$ac_ext <<_ACEOF
+@@ -30646,9 +30646,9 @@
+ int
+ main ()
+ {
+-if ((umode_t *) 0)
++if ((mode_t *) 0)
+ return 0;
+-if (sizeof (umode_t))
++if (sizeof (mode_t))
+ return 0;
+ ;
+ return 0;
+@@ -30676,23 +30676,23 @@
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+- ac_cv_type_umode_t=yes
++ ac_cv_type_mode_t=yes
+ else
+ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+-ac_cv_type_umode_t=no
++ac_cv_type_mode_t=no
+ fi
+ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ fi
+-echo "$as_me:$LINENO: result: $ac_cv_type_umode_t" >&5
+-echo "${ECHO_T}$ac_cv_type_umode_t" >&6
+-if test $ac_cv_type_umode_t = yes; then
++echo "$as_me:$LINENO: result: $ac_cv_type_mode_t" >&5
++echo "${ECHO_T}$ac_cv_type_mode_t" >&6
++if test $ac_cv_type_mode_t = yes; then
+ :
+ else
+
+ cat >>confdefs.h <<_ACEOF
+-#define umode_t mode_t
++#define mode_t mode_t
+ _ACEOF
+
+ fi
+diff -urNad trunk~/configure.in trunk/configure.in
+--- trunk~/configure.in 2007-10-09 23:45:03.000000000 +0200
++++ trunk/configure.in 2007-10-15 22:50:05.000000000 +0200
+@@ -1118,7 +1118,7 @@
+ AC_CHECK_SIZEOF(time_t, 0)
+
+ dnl Check for generic typedefs
+-AC_CHECK_TYPE(umode_t, mode_t)
++AC_CHECK_TYPE(mode_t, mode_t)
+ AC_CHECK_TYPE(ino_t, ino_t)
+ AC_CHECK_TYPE(intptr_t, AC_DEFINE(HAVE_INTPTR_T),, [
+ #if HAVE_INTTYPES_H
|
[-]
[+]
|
Deleted |
proftpd-1.3.0_ipv6.patch
^
|
@@ -1,14 +0,0 @@
-Index: src/inet.c
-===================================================================
---- src/inet.c.orig
-+++ src/inet.c
-@@ -296,7 +296,8 @@
- int on = 0;
-
- # ifdef SOL_IP
-- int level = SOL_IP;
-+ /* int level = SOL_IP; */
-+ int level = ipv6_proto;
- # else
- int level = ipv6_proto;
- # endif /* SOL_IP */
|
[-]
[+]
|
Deleted |
proftpd-1.3.0_modules_install.patch
^
|
@@ -1,13 +0,0 @@
-Index: contrib/mod_load/Makefile.in
-===================================================================
---- contrib/mod_load/Makefile.in.orig
-+++ contrib/mod_load/Makefile.in
-@@ -29,7 +29,7 @@
- static: $(MODULE_NAME).o
-
- install:
-- $(LIBTOOL) --mode=install $(INSTALL_BIN) $(MODULE_NAME).la $(LIBEXECDIR)
-+ $(LIBTOOL) --mode=install $(INSTALL_BIN) $(MODULE_NAME).la $(DESTDIR)$(LIBEXECDIR)
-
- clean:
- $(RM) *.o
|
|
Added |
proftpd-1.3.2rc1.tar.bz2
^
|